Bug 187521 - [PATCH] sysutils/goaccess: update to 0.7.1
Summary: [PATCH] sysutils/goaccess: update to 0.7.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sofian Brabez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-13 06:20 UTC by Li-Wen Hsu
Modified: 2014-03-25 20:20 UTC (History)
1 user (show)

See Also:


Attachments
goaccess-0.7.1.patch (4.15 KB, patch)
2014-03-13 06:20 UTC, Li-Wen Hsu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Li-Wen Hsu freebsd_committer 2014-03-13 06:20:00 UTC
- Update to 0.7.1
- Support STAGEDIR
- Drop FreeBSD 7.x support

Port maintainer (sbz@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.03.03 (mode: update, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-03-13 06:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sbz

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-03-25 20:15:45 UTC
Author: sbz
Date: Tue Mar 25 20:15:41 2014
New Revision: 349188
URL: http://svnweb.freebsd.org/changeset/ports/349188
QAT: https://qat.redports.org/buildarchive/r349188/

Log:
  - Update to 0.7.1
  - Update pkg-descr
  - Support STAGEDIR
  - Drop FreeBSD 7.x support
  
  PR:		ports/187521
  Submitted by:	lwhsu

Deleted:
  head/sysutils/goaccess/files/
Modified:
  head/sysutils/goaccess/Makefile
  head/sysutils/goaccess/distinfo
  head/sysutils/goaccess/pkg-descr

Modified: head/sysutils/goaccess/Makefile
==============================================================================
--- head/sysutils/goaccess/Makefile	Tue Mar 25 20:11:48 2014	(r349187)
+++ head/sysutils/goaccess/Makefile	Tue Mar 25 20:15:41 2014	(r349188)
@@ -2,44 +2,41 @@
 # $FreeBSD$
 
 PORTNAME=	goaccess
-PORTVERSION=	0.5
+PORTVERSION=	0.7.1
 CATEGORIES=	sysutils
 MASTER_SITES=	SF
-MASTER_SITE_SUBDIR=	${PORTNAME}/${PORTVERSION}/
+MASTER_SITE_SUBDIR=	${PORTNAME}/${PORTVERSION}
 
 MAINTAINER=	sbz@FreeBSD.org
 COMMENT=	Real-time Apache web log analyzer
 
 LICENSE=	GPLv2
-LICENSE_FILE=	${WRKSRC}/COPYING
 
-LIB_DEPENDS=	glib-2.0:${PORTSDIR}/devel/glib20 \
-		GeoIP:${PORTSDIR}/net/GeoIP
+LIB_DEPENDS=	libGeoIP.so:${PORTSDIR}/net/GeoIP
 
 GNU_CONFIGURE=	yes
 USE_LDCONFIG=	yes
+USE_GNOME=	glib20
 USES=		pkgconfig
 
 CFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 
-PLIST_FILES=	bin/${PORTNAME}
-
-.if !defined(NO_INSTALL_MANPAGES)
-MAN1=	${PORTNAME}.1
-.endif
+PLIST_FILES=	bin/${PORTNAME} \
+		man/man1/${PORTNAME}.1.gz
 
 PORTDOCS=	AUTHORS COPYING ChangeLog NEWS README TODO
 
-NO_STAGE=	yes
+OPTIONS_DEFINE=	DOCS
+
+.include <bsd.port.options.mk>
+
 do-install:
-.if !defined(NOPORTDOCS)
-	@${MKDIR} ${DOCSDIR}
-	${INSTALL_DATA} ${PORTDOCS:S,^,${WRKSRC}/,} ${DOCSDIR}
-.endif
-.if !defined(NO_INSTALL_MANPAGES)
-	${INSTALL_MAN} ${MAN1:S,^,${WRKSRC}/,} ${PREFIX}/man/man1
+.if ${PORT_OPTIONS:MDOCS}
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S,^,${WRKSRC}/,} ${STAGEDIR}${DOCSDIR}
 .endif
-	${INSTALL_SCRIPT} ${PORTNAME:S,^,${WRKSRC}/,} ${PREFIX}/bin
+	${INSTALL_MAN} ${WRKSRC}/${PORTNAME}.1 ${STAGEDIR}${PREFIX}/man/man1
+	${INSTALL_SCRIPT} ${WRKSRC}/${PORTNAME} ${STAGEDIR}${PREFIX}/bin
 
 .include <bsd.port.mk>

Modified: head/sysutils/goaccess/distinfo
==============================================================================
--- head/sysutils/goaccess/distinfo	Tue Mar 25 20:11:48 2014	(r349187)
+++ head/sysutils/goaccess/distinfo	Tue Mar 25 20:15:41 2014	(r349188)
@@ -1,2 +1,2 @@
-SHA256 (goaccess-0.5.tar.gz) = beabad8267099d693cf2f0a6f533ecf5b5bdcc829b4536ec56b4a68b2c7d5e0e
-SIZE (goaccess-0.5.tar.gz) = 127068
+SHA256 (goaccess-0.7.1.tar.gz) = 04de880ebdedde8daeec6284783bd7f4b04d9149b08deaa5588e55f24739f49b
+SIZE (goaccess-0.7.1.tar.gz) = 163640

Modified: head/sysutils/goaccess/pkg-descr
==============================================================================
--- head/sysutils/goaccess/pkg-descr	Tue Mar 25 20:11:48 2014	(r349187)
+++ head/sysutils/goaccess/pkg-descr	Tue Mar 25 20:15:41 2014	(r349188)
@@ -2,4 +2,4 @@ GoAccess is an open source real-time Apa
 viewer that runs in a terminal and provides fast and valuable HTTP statistics
 for system administrators that require a visual report on the fly.
 
-WWW:	http://goaccess.prosoftcorp.com/
+WWW: http://goaccess.prosoftcorp.com/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Sofian Brabez freebsd_committer 2014-03-25 20:16:18 UTC
State Changed
From-To: open->closed

Committed. Thanks!